summaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@cvs.openbsd.org>2004-07-08 12:59:36 +0000
committerDarren Tucker <dtucker@cvs.openbsd.org>2004-07-08 12:59:36 +0000
commit8cb1f48f8a1bc94e69f6215ad66d4a93286c717e (patch)
treeecd1ff0787e8f2eaf241fb901c56fda375a06988 /regress
parent0499aca30f78259cdd873073be3d71bdf0e178ac (diff)
Regress test for bz #863 (scp double-error), requires $SUDO. ok markus@
Diffstat (limited to 'regress')
-rw-r--r--regress/usr.bin/ssh/scp.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/regress/usr.bin/ssh/scp.sh b/regress/usr.bin/ssh/scp.sh
index cda01868acb..0ef2d626d66 100644
--- a/regress/usr.bin/ssh/scp.sh
+++ b/regress/usr.bin/ssh/scp.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: scp.sh,v 1.2 2004/06/16 13:15:09 dtucker Exp $
+# $OpenBSD: scp.sh,v 1.3 2004/07/08 12:59:35 dtucker Exp $
# Placed in the Public Domain.
tid="scp"
@@ -57,6 +57,19 @@ cp ${DATA} ${DIR}/copy
$SCP $scpopts -r somehost:${DIR} ${DIR2} || fail "copy failed"
diff -rN ${DIR} ${DIR2} || fail "corrupted copy"
+if [ ! -z "$SUDO" ]; then
+ verbose "$tid: skipped file after scp -p with failed chown+utimes"
+ scpclean
+ cp -p ${DATA} ${DIR}/copy
+ cp -p ${DATA} ${DIR}/copy2
+ cp ${DATA} ${DIR2}/copy
+ chmod 660 ${DIR2}/copy
+ $SUDO chown root ${DIR2}/copy
+ $SCP -p $scpopts somehost:${DIR}/\* ${DIR2} >/dev/null 2>&1
+ diff -rN ${DIR} ${DIR2} || fail "corrupted copy"
+ $SUDO rm ${DIR2}/copy
+fi
+
for i in 0 1 2 3 4; do
verbose "$tid: disallow bad server #$i"
SCPTESTMODE=badserver_$i